# Class Location

java.lang.Object
org.snpeff.nextProt.Location

Direct Known Subclasses:
  `LocationTargetIsoform`

public class Location extends Object
A location (i.e. an interval)

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`begin`
`int`
`end`
`String`
`type`

## Constructor Summary

Constructors
Constructor
Description
`Location()`
`Location(String type)`
`Location(String type, int begin, int end)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isInteraction()`
`boolean`
`isIsoform()`
`boolean`
`isValid()`
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### type

public String type

### begin

public int begin

### end

public int end

## Constructor Details

### Location

public Location()

### Location

public Location(String type)

### Location

public Location(String type, int begin, int end)

## Method Details

### isValid

public boolean isValid()

### isInteraction

public boolean isInteraction()

### isIsoform

public boolean isIsoform()

### toString

public String toString()

Overrides:
  `toString` in class `Object`